import type { TestingLibraryRulesObject } from '@aet/eslint-define-config/src/rules/testing-library';
import { defineMiddleware } from '../middleware';

const testingLibraryRules: Partial<TestingLibraryRulesObject> = {};

export const testingLibrary = defineMiddleware((config, { addRules }) => {
  config.overrides.push({
    files: ['**/*.(spec|test).{ts,tsx}'],
    plugins: ['plugin:testing-library/react'],
  });
  addRules(testingLibraryRules);
});
