import type { GraphQLRulesObject } from '@aet/eslint-define-config/src/rules/graphql-eslint';
import { defineMiddleware } from '../middleware';

// https://the-guild.dev/graphql/eslint/rules
const graphqlRules: Partial<GraphQLRulesObject> = {};

export const graphql = defineMiddleware((config, { addRules }) => {
  config.plugins.push('@graphql-eslint');
  config.extends.push('plugin:@graphql-eslint/recommended');
  addRules(graphqlRules);
});
